API reference
Get a product spreadsheet page
Returns one page of an open product bulk edit session.
GET
/v1/catalog/products/spreadsheet/{id}Returns one page of an open product bulk edit session.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
id*string
Unique identifier of the resource.
Query Parameters
cursor?string
Opaque cursor from the previous response. Omit it on the first page.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/catalog/products/spreadsheet/string"{ "data": [ { "id": "string", "sku": null, "storeId": "string", "sellerId": null, "type": "product", "name": "string", "description": "string", "slug": "string", "currency": null, "taxRate": null, "taxIncluded": null, "brand": "string", "price": 0.1, "compareAtPrice": null, "costPrice": null, "totalOnHand": 0, "available": 0, "committed": 0, "totalVariants": 0, "activeVariants": 0, "vendor": null, "tags": [ "string" ], "specifications": [ { "name": "string", "key": "string", "value": "string" } ], "images": [ { "id": "string", "url": "string", "name": null, "width": null, "height": null, "isPrimary": true, "order": 0 } ], "category": "string", "packageId": null, "shippingProfileId": null, "status": "draft", "metaTitle": null, "metaDescription": null, "metaKeywords": null, "featuredUntil": null, "isFeatured": true, "minOrderQuantity": 0, "maxOrderQuantity": null, "isDigital": true, "hasVariants": true, "hasActivity": true, "hasPriceLists": true, "hasReviews": true, "hasSizeGuide": true, "variants": [ { "id": "string", "sku": "string", "name": "string", "barcode": null, "status": "outOfStock", "price": 0.1, "compareAtPrice": null, "costPrice": null, "trackInventory": true, "allowBackorders": true, "lowStockThreshold": 0, "onHand": 0, "committed": 0, "available": 0, "images": [ { "imageId": "string", "order": 0, "isPrimary": true } ], "options": [ { "name": "string", "key": "string", "value": "string" } ], "inventories": [ { "id": "string", "locationId": "string", "onHand": 0, "committed": 0, "available": 0, "incoming": 0, "unavailable": 0, "version": 0, "createdOn": "2019-08-24T14:15:22Z", "updatedOn": null } ] } ], "views": 0, "salesCount": 0, "reviewsCount": 0, "createdOn": "2019-08-24T14:15:22Z", "updatedOn": null, "lastActivityOn": null } ], "hasNextPage": true, "nextCursor": null, "totalCount": null}